#include <bits/stdc++.h>

using namespace std;
long long n, a[100007], res, k1, k2;
int main()
{
    cin>>n;
    for(int i = 1; i <= n; i++) cin>>a[i];
    sort(a+1, a+1+n);
    for(int i = n; i >= 1; i--){
        if(a[i] < a[i+1]) k2 = k1;
        if(a[i]-k2 >= 0) res += a[i]-k2;
        k1++;
    }
    cout<<res<<endl;
    return 0;
}
